Set Public Voice Selection
curl --request POST \
--url https://api.ontora.com/v1/interview/session/{session_id}/voice-selection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voice_id": "<string>",
"voice_language": "<string>",
"voice_provider": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/interview/session/{session_id}/voice-selection"
payload = {
"voice_id": "<string>",
"voice_language": "<string>",
"voice_provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({voice_id: '<string>', voice_language: '<string>', voice_provider: '<string>'})
};
fetch('https://api.ontora.com/v1/interview/session/{session_id}/voice-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voice_id": "<string>",
"voice_language": "<string>",
"voice_provider": "<string>",
"voice_speed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interview-realtime
Set Public Voice Selection
Persist the participant-selected voice before the realtime pipeline starts.
POST
/
v1
/
interview
/
session
/
{session_id}
/
voice-selection
Set Public Voice Selection
Authorizations
ClerkJWTWorkspaceApiKey
Clerk-issued RS256 JWT.
Path Parameters
Query Parameters
Was this page helpful?
⌘I